/*
 * funny.h: header for funny.c
 *
 * written by michael sandrof
 *
 * copyright(c) 1990 
 *
 * see the copyright file, or do a help ircii copyright 
 *
 * @(#)$Id: funny.h,v 1.4 1994/07/02 02:38:10 mrg Exp $
 */

#ifndef _FUNNY_H_
#define _FUNNY_H_

#include "irc_std.h"

#define FUNNY_PUBLIC 1
#define FUNNY_PRIVATE 2
#define FUNNY_TOPIC  4
#define FUNNY_WIDE   8
#define FUNNY_USERS  16
#define FUNNY_NAME   32

extern	int	funny_is_ignore_channel _((void));
extern	void	funny_list _((char *, char **));
extern	void	funny_match _((char *));
extern	void	funny_mode _((char *, char **));
extern	void	funny_namreply _((char *, char **));
extern	void	funny_print_widelist _((void));
extern	void	funny_set_ignore_channel _((char *));
extern	void	funny_set_ignore_mode _((void));
extern	void	reinstate_user_modes _((void));
extern	void	set_funny_flags _((int, int, int));
extern	void	update_user_mode _((char *));

#endif /* _FUNNY_H_ */
